## fpc 3.0.2+dfsg

=== fpcdocs/crtex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)


# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12 ex13 ex14 \
        ex15 ex16

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

=== fpcdocs/datutex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex9 ex10 ex11 ex12\
        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex33 ex34 ex35 ex36\
        ex37 ex38 ex39 ex40 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
        ex71 ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
        ex93 ex94 ex95 ex96 ex97 ex98 ex99 ex100 ex101 ex102 ex103\
        ex104 ex105 ex106
        
# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=OBJECTS

LOGFILE=$(addsuffix .log, $(TOTEST))
        

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

execute: $(LOGFILE)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll *.ppw *.tmp *.log *.dat
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILE): %.log: %.exe 
	$* > $*.log

=== fpcdocs/strutex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=ex1 ex2 
#ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
#        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
#        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex33 ex34 ex35 ex36\
#        ex37 ex38 ex39 ex40 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
#        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
#        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
#        ex71 ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
#        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
#        ex93
        
# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=ex1 ex2 
#ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
#        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
#        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex35 ex36\
#        ex37 ex39 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
#        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
#        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
#        ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
#        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
#        ex93    

LOGFILE=$(addsuffix .log, $(TOTEST))
        

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

execute: $(LOGFILE)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll *.ppw *.tmp *.log *.dat
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILE): %.log: %.exe 
	$* > $*.log

=== fpcdocs/sysutex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler

ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)

# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex33 ex34 ex35 ex36\
        ex37 ex38 ex39 ex40 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
        ex71 ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
        ex93
        
# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 ex10 ex11 ex12\
        ex13 ex14 ex15 ex16 ex17 ex18 ex19 ex20 ex21 ex22 ex23 ex24\
        ex25 ex26 ex27 ex28 ex29 ex30 ex31 ex32 ex35 ex36\
        ex37 ex39 ex41 ex42 ex43 ex44 ex45 ex46 ex47\
        ex48 ex49 ex50 ex51 ex52 ex53 ex54 ex55 ex56 ex57 ex58\
        ex59 ex60 ex61 ex62 ex63 ex64 ex65 ex66 ex67 ex68 ex69 ex70\
        ex72 ex73 ex74 ex75 ex76 ex77 ex78 ex79 ex80 \
        ex81 ex82 ex83 ex84 ex85 ex86 ex87 ex88 ex89 ex90 ex91 ex92 \
        ex93    

LOGFILE=$(addsuffix .log, $(TOTEST))
        

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

execute: $(LOGFILE)

tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS)
	-rm -f $(TEXOBJECTS)
	-rm -f *.ow *.sw *.exe *.dll *.ppw *.tmp *.log *.dat
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*

$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILE): %.log: %.exe 
	$* > $*.log

=== fpcdocs/typinfex/Makefile ===
#######################################################################
#
# Makefile to compile all examples and convert them to LaTeX
# 
#######################################################################

# Compiler
ifndef FPC
ifdef PP
FPC=$(PP)
endif
endif
ifndef FPC
FPCPROG:=$(strip $(wildcard $(addsuffix /fpc$(SRCEXEEXT),$(SEARCHPATH))))
ifneq ($(FPCPROG),)
FPCPROG:=$(firstword $(FPCPROG))
FPC:=$(shell $(FPCPROG) -PB)
ifneq ($(findstring Error,$(FPC)),)
override FPC=fpc
endif
else
override FPC=fpc
endif
endif
override FPC:=$(subst $(SRCEXEEXT),,$(FPC))
override FPC:=$(subst \,/,$(FPC))$(SRCEXEEXT)
# Unit directory
# UNITDIR=/usr/lib/ppc/0.99.0/linuxunits


# Any options you wish to pass.
PPOPTS=

# Script to convert the programs to LaTeX examples which can be included.
PP2TEX=../pp2tex

# Script to collect all examples in 1 file.
MAKETEX=make1tex

#######################################################################
# No need to edit after this line.
#######################################################################

ifdef UNITDIR
PPOPTS:=$(PPOPTS) -Up$(UNITDIR);
endif

.SUFFIXES: .pp .tex

.PHONY: all tex clean execute

OBJECTS=rttiobj trtti1 trtti2 trtti3 ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 \
        ex10 ex11 ex12 ex13  ex14 ex15 ex16 ex17 ex18
        
# This might not be the same list as objects, since some of the
# tests might be interactive.
TOTEST=trtti1 trtti2 trtti3 ex1 ex2 ex3 ex4 ex5 ex6 ex7 ex8 ex9 \
        ex10 ex11 ex12 ex13  ex14 ex15 ex16 ex17 ex18
        
LOGFILE=$(addsuffix .log, $(TOTEST))
        

TEXOBJECTS=$(addsuffix .tex, $(OBJECTS))

all : $(OBJECTS)

execute: $(LOGFILE)


tex : $(TEXOBJECTS)

onetex : tex
	$(MAKETEX) $(TEXOBJECTS)

clean : 
	-rm -f *.o *.s $(OBJECTS) $(TEXOBJECTS) rttiobj.ppu
	-rm -f *.ow *.sw *.exe *.dll *.tmp *.log rttiobj.ppw
 
$(OBJECTS): %: %.pp
	$(FPC) $(PPOPTS) $*
	
$(TEXOBJECTS): %.tex: %.pp head.tex foot.tex
	$(PP2TEX) $*

$(LOGFILE): %.log: %.exe 
	$* > $*.log

=== debian/changelog ===
fpc (3.0.2+dfsg-5ubuntu1) artful; urgency=medium

  * fix_texpfncase_test.patch: Cherrypick upstream fix to texpfncase test.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 14 Sep 2017 16:48:24 -0600

fpc (3.0.2+dfsg-5) unstable; urgency=medium

  * Drop kfreebsd patches for now, resurrect them from git when required
  * Add fix_mips_mipsel_lazarus_FTBFS.patch to try to fix the lazarus
    FTBFS failure on mips and mipsel

 -- Paul Gevers <elbrus@debian.org>  Mon, 07 Aug 2017 13:00:17 -0400

fpc (3.0.2+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Fix 86 vs 68 typo in manpage creation/clean for m68k (thanks ginggs)
  * Bump standards to version 4.0.0 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Jul 2017 15:10:33 +0200

fpc (3.0.2+dfsg-3) experimental; urgency=medium

  * Add symlink in fpc-source to tree in fpc-source-<version> (Closes:
    #849416)
  * Fix fp-units-gfx.install for linux-m68k, linux-mips and linux-mipsel
    (Closes: #863589, #863746, #863807)
  * Fix mips and mipsel target in d/rules (Closes: #863747, #863808)
  * Generate manpages for all new architectures (Closes: #863737, #863748,
    #863809)

 -- Paul Gevers <elbrus@debian.org>  Thu, 01 Jun 2017 22:24:07 +0200

fpc (3.0.2+dfsg-2) experimental; urgency=medium

  * [tests] Update reference files for results on autopkgtest.u.c

 -- Paul Gevers <elbrus@debian.org>  Sun, 09 Apr 2017 11:44:58 +0200

fpc (3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release
    - Drop obsolete patches and update the rest
    - Update d/copyright for removed and new files and new years
    - Recreate d/s/timestamps because of new upstream
  * New fpc packages go into fp-units-fcl and fp-units-net
  * Add fix_tests_for_make_print_directory.patch to fix test suite
  * [tests] Update reference files

 -- Paul Gevers <elbrus@debian.org>  Wed, 08 Mar 2017 20:13:08 +0100

fpc (3.0.0+dfsg-12) unstable; urgency=medium

  * Fix "[fp-units-rtl-3.0.0] Incorrect conversion from local time to
    UTC". Backported fix from 3.0.2 (Closes: #864148)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 10 Jun 2017 19:13:48 +0200

fpc (3.0.0+dfsg-11) unstable; urgency=medium

  * Team upload
  * Fix armhf vstr/vld offset (Closes: #852798)

 -- Graham Inggs <ginggs@debian.org>  Wed, 08 Feb 2017 11:53:35 +0200

fpc (3.0.0+dfsg-10) unstable; urgency=medium

  * Add Multi-Arch metadata (as suggested by the hinter on tracker.d.o)
  * Strip current path from the configuration paths as stored in fpm files
    because it results in unreproducible builds and is useless anyways
    because the path doesn't exist in the packages.
  * Update amd64 reference to enable Ubuntu to pass
  * Fix typo in ppdep such that it now recognizes the {$ELSE} directive
    (Closes: #845504)
  * Drop Carlos Laviola from uploaders: thanks for all the fish
  * Bump compat level to 10
  * Replace mysql/mariadb dev suggests to default-libmysqlclient-dev
  * Enable bindnow in the linker flags
  * Drop obsolete lintian overrides
  * Fix some more spelling errors (thanks Lintian)

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Dec 2016 21:35:43 +0100

fpc (3.0.0+dfsg-9) unstable; urgency=medium

  * Drop Torsten Werner from uploaders: thanks for all the fish
  * [tests] Fix autopkgtests as it always fails

 -- Paul Gevers <elbrus@debian.org>  Mon, 12 Sep 2016 20:48:12 +0200

=== debian/control ===
Source: fpc
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Pascal Packaging Team <pkg-pascal-devel@lists.alioth.debian.org>
Uploaders:
 Abou Al Montacir <abou.almontacir@sfr.fr>,
 Paul Gevers <elbrus@debian.org>,
 Peter Michael Green <plugwash@debian.org>,
Standards-Version: 4.0.0
Build-Depends:
 binutils,
 debhelper (>= 10~),
 dh-exec (>=0.22),
 fp-compiler,
 fp-units-base,
 fp-units-fcl,
 fp-utils,
 ghostscript,
 libncurses-dev,
 mawk | awk,
 po-debconf,
 txt2man,
Build-Depends-Indep:
 hevea,
 rdfind,
 symlinks
Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/fpc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/fpc.git
Homepage: http://www.freepascal.org/

Package: fpc-3.0.2
Architecture: all
Depends:
 fp-compiler-3.0.2 (>= ${binary:Version}),
 fp-ide-3.0.2 (>= ${binary:Version}),
 fp-units-base-3.0.2 (>= ${binary:Version}),
 fp-units-db-3.0.2 (>= ${binary:Version}),
 fp-units-fcl-3.0.2 (>= ${binary:Version}),
 fp-units-fv-3.0.2 (>= ${binary:Version}),
 fp-units-gfx-3.0.2 (>= ${binary:Version}),
 fp-units-gtk2-3.0.2 (>= ${binary:Version}),
 fp-units-math-3.0.2 (>= ${binary:Version}),
 fp-units-misc-3.0.2 (>= ${binary:Version}),
 fp-units-multimedia-3.0.2 (>= ${binary:Version}),
 fp-units-net-3.0.2 (>= ${binary:Version}),
 fp-units-rtl-3.0.2 (>= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.0.2
Suggests:
 fp-docs-3.0.2 (>= ${source:Upstream-Version}),
 lazarus
Provides:
 fpc
Breaks:
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - SDK-3.0.2 suite
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This metapackage pulls in all the FPC packages provided for this
 architecture. Experienced users may instead prefer to install the particular
 packages they require by hand.

Package: fpc-source-3.0.2
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fpc-source
Breaks:
 fpc-source (<= 2.4.0-3),
 fpc-src
Replaces:
 fpc-source (<= 2.4.0-3),
 fpc-src
Description: Free Pascal - SDK source code
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal's own source code. It is meant to be used by
 the Lazarus IDE.

Package: fp-compiler-3.0.2
Architecture: any
Depends:
 binutils,
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.0.2 (>= ${binary:Version})
Suggests:
 fp-docs-3.0.2 (>= ${source:Upstream-Version}),
Provides:
 fp-compiler
Breaks:
 fp-compiler (<= 2.4.0-3),
 fp-utils-2.4.2 (<= 2.4.2-3),
 fp-utils-2.4.4 (<= 2.4.4-2),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-compiler (<= 2.4.0-3),
 fp-utils-2.4.4 (<= 2.4.4-1),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - compiler
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the command line compiler.

Package: fp-ide-3.0.2
Architecture: any
Depends:
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-utils-3.0.2 (>= ${binary:Version})
Suggests:
 fp-docs-3.0.2 (>= ${source:Upstream-Version})
Provides:
 fp-ide
Breaks:
 fp-ide (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-ide (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - IDE
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 Extensions have been added to the language, such as function overloading,
 creation and linking of shared libraries, and Delphi language extensions
 including classes, exceptions, ANSI strings, and open arrays.
 .
 This package contains the Integrated Development Environment (IDE). The IDE
 has an internal compiler.

Package: fp-utils-3.0.2
Architecture: any
Depends:
 fpc-source-3.0.2,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-compiler-3.0.2 (= ${binary:Version})
Provides:
 fp-utils
Breaks:
 fp-compiler (<= 2.4.0-3),
 fp-units-gfx (<= 2.4.2-2),
 fp-units-gfx-2.4.2 (<= 2.4.2-2),
 fp-utils (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-compiler (<= 2.4.0-3),
 fp-utils (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - utilities
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains some handy utilities for use with the Free Pascal
 Compiler:
  * data2inc   convert binary/text data to include files;
  * fpcmake    create Makefile from Makefile.fpc;
  * h2pas      convert .h files to Pascal units;
  * plex/pyacc Pascal Lex and Yacc implementations;
  * ppdep      create a dependency file for use with Makefiles;
  * ppudump    dump the information stored in a .ppu (unit) file;
  * ppufiles   show needed files for units;
  * ppumove    place multiple units in a shared library;
  * ptop       beautify source.

Package: fp-docs-3.0.2
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 fp-docs
Breaks:
 fp-docs (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-docs (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - documentation
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package provides documentation for the Free Pascal Compiler in HTML
 format.

Package: fp-units-rtl-3.0.2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fp-compiler-3.0.2 (= ${binary:Version})
Provides:
 fp-units-rtl,
 fpc-abi-3.0.2
Breaks:
 fp-units-rtl (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-units-rtl (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - runtime libraries
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the RunTime Libraries for the Free Pascal Compiler.

Package: fp-units-base-3.0.2
Architecture: any
Depends:
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 uuid-dev
Provides:
 fp-units-base
Breaks:
 fp-units-base (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
 fp-units-misc-3.0.0 (<= 3.0.0+dfsg-2),
Replaces:
 fp-units-base (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
 fp-units-misc-3.0.0 (<= 3.0.0+dfsg-2),
Description: Free Pascal - base units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains Free Pascal units for common libraries (some of which
 are also required by the Free Component Library): NCurses, X11 (Xlib,
 Xutil), and ZLib.

Package: fp-units-fcl-3.0.2
Architecture: any
Depends:
 fp-units-base-3.0.2 (= ${binary:Version}),
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-fcl
Breaks:
 fp-units-fcl (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-units-fcl (<= 2.4.0-3)
Description: Free Pascal - Free Component Library
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Component Library for the Free Pascal Compiler.

Package: fp-units-fv-3.0.2
Architecture: any
Depends:
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-fv
Breaks:
 fp-units-fv (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-units-fv (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - Free Vision units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
 and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
 completely portable RunTime Library (RTL) available on many platforms and
 compatible with Turbo Pascal, along with a platform-independent class-based
 Free Component Library (FCL) adding many Delphi extensions and interfacing
 with many popular open source libraries.
 .
 This package contains the Free Vision units for the Free Pascal Compiler
 (which provide a framework for developing text user interfaces).

Package: fp-units-gtk2-3.0.2
Architecture: any
Depends:
 fp-units-fcl-3.0.2 (= ${binary:Version}),
 fp-units-rtl-3.0.2 (= ${binary:Version}),
 libgtk2.0-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 fp-units-gtk2
Breaks:
 fp-units-gtk2 (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Replaces:
 fp-units-gtk2 (<= 2.4.0-3),
 fpc (<= 3.0.2+dfsg-0),
Description: Free Pascal - GTK+ 2.x units
 The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Free Pascal

DEB_PACKAGE_NAME = fpc
export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DH_ALWAYS_EXCLUDE := COPYING:LICENSE
export LANG:=C

# Documentation type to use pdf/html
ifeq (${DEBDOCTYPE},)
DOCTYPE=html
# HTML Converter l2h/4ht/hevea or html for (default)
CONVERTER=hevea
else
DOCTYPE=${DEBDOCTYPE}
CONVERTER=${DOCTYPE}
endif
# Undefine FPC if it was set
unexport FPC
# Build new compiler name
CPU_SOURCE=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
CPU_TARGET=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
# Take care that Debian uses amd64 while FPC perfers x86_64 instead
CPU_SOURCE := $(subst amd64,x86_64,${CPU_SOURCE})
CPU_TARGET := $(subst amd64,x86_64,${CPU_TARGET})
# Take care that Debian uses arm64 while FPC perfers aarch64 instead
CPU_SOURCE := $(subst arm64,aarch64,${CPU_SOURCE})
CPU_TARGET := $(subst arm64,aarch64,${CPU_TARGET})
# Take care that debian uses ppc64 while FPC prefers powerpc64 instead
CPU_SOURCE := $(subst ppc64,powerpc64,${CPU_SOURCE})
CPU_TARGET := $(subst ppc64,powerpc64,${CPU_TARGET})
# Shuld get rid of this one day, as it is done automatically  by FPC make files
ifeq ($(CPU_TARGET),m68k)
PPSUF=68k
endif
ifeq ($(CPU_TARGET),i386)
PPSUF=386
endif
ifeq ($(CPU_TARGET),x86_64)
PPSUF=x64
endif
ifeq ($(CPU_TARGET),powerpc)
PPSUF=ppc
endif
ifeq ($(CPU_TARGET),powerpc64)
PPSUF=ppc64
endif
ifeq ($(CPU_TARGET),alpha)
PPSUF=axp
endif
ifeq ($(CPU_TARGET),arm)
PPSUF=arm
endif
ifeq ($(CPU_TARGET),aarch64)
PPSUF=a64
endif
ifeq ($(CPU_TARGET),sparc)
PPSUF=sparc
endif
ifeq ($(CPU_TARGET),mips)
PPSUF=mips
endif
ifeq ($(CPU_TARGET),mipsel)
PPSUF=mipsel
endif

ifneq ($(CPU_SOURCE),$(CPU_TARGET))
PPPRE=ppcross
else
PPPRE=ppc
endif

PPNEW=$(PPPRE)$(PPSUF)

OS_TARGET=$(subst kfreebsd,freebsd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))

FPCTARGET=$(CPU_TARGET)-$(OS_TARGET)
# Get version information from changelog file
DEB_VERSION:=$(shell dpkg-parsechangelog --show-field Version)
DEB_DATE:=$(shell date --utc --date="`dpkg-parsechangelog --show-field Date`" +%Y/%m/%d)
DEB_UPSTREAM_VERSION:=$(shell echo $(DEB_VERSION) | cut -f 1 -d -)
export DEB_UPSTREAM_MAIN_VERSION:=$(shell echo ${DEB_UPSTREAM_VERSION} | sed -e 's/^\([0-9\.]*\).*/\1/')
DEB_BUILD=$(lastword $(subst -, ,${DEB_VERSION}))
ifndef PACKAGESUFFIX
export PACKAGESUFFIX=-${DEB_UPSTREAM_MAIN_VERSION}
endif
# Get directories
INSTALL_DIR=${CURDIR}/debian/tmp
BIN_DIR=${INSTALL_DIR}/usr/bin
LIB_DIR=${INSTALL_DIR}/usr/lib/${DEB_PACKAGE_NAME}/${DEB_UPSTREAM_MAIN_VERSION}
DOC_DIR=${INSTALL_DIR}/usr/share/doc
SRC_DIR=${INSTALL_DIR}/usr/share/fpcsrc/${DEB_UPSTREAM_MAIN_VERSION}
EXAMPLE_TEMP=${INSTALL_DIR}/usr/share/doc/fpc-${DEB_UPSTREAM_MAIN_VERSION}
STY_DIR=${INSTALL_DIR}/usr/share/texmf/tex/latex/fpc-${DEB_UPSTREAM_MAIN_VERSION}
# Get utils
ifndef MKDIR
MKDIR=mkdir -p
endif
ifndef CP
CP=cp -Rfpl
endif
ifndef MV
MV=mv
endif
RM:=rm -rf
# Get fpcmake from path if none is specified.
ifndef FPCMAKE
# In 3.0.0rc1 building the new fpcmake doesn't work outside the full build
#FPCMAKE=fpcsrc/utils/fpcm/fpcmake
FPCMAKE=$(shell which fpcmake)
endif
# Undefine FPCDIR if it was set
unexport FPCDIR
NEWPP=$(CURDIR)/fpcsrc/compiler/$(PPNEW)
NEWFPDOC=$(CURDIR)/fpcsrc/utils/fpdoc/fpdoc
# Set default compilation options
DEB_BUILD_FPC_OPT=debian/deb-build-fpc.cfg
DEB_HOST_FPC_OPT=debian/deb-host-fpc.cfg
BUILDOPTS=PP=$(NEWPP) OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
ifdef CROSSOPT
BUILDOPTS+= CROSSOPT=${CROSSOPT}
endif
INSTALLOPTS=INSTALL_PREFIX=$(INSTALL_DIR)/usr PP=$(NEWPP)

export GDBLIBDIR=/usr/lib

ifeq ($(CPU_TARGET),arm)
  DEBIANARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
  # Disable optimization for the first runs as there may be bugs associated
  # with that, preventing proper building new versions (cf bug 800811)
  #
  # Unsure if the -d option is still needed, this code was originally used to
  # bootstrap other arm flavors
  CYCLEOPTS:=OPT='@${CURDIR}/${DEB_HOST_FPC_OPT} -dFPC_$(DEBIANARCH)' OPTLEVEL1=-O-
else
  CYCLEOPTS:=OPT='@${CURDIR}/${DEB_HOST_FPC_OPT}'
endif

# Set default compilation options
DEB_HOST_MULTIARCH ?=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_MULTIARCH ?=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)

FPMAKE_BUILDOPTS=FPMAKE_SKIP_CONFIG='-n @${CURDIR}/${DEB_BUILD_FPC_OPT}'

LDFLAGS=$(strip $(shell DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) \
	dpkg-buildflags --get LDFLAGS | \
	sed -e 's/-Wl,//g' -e 's/,/ /g' -e 's1-specs=/usr/share/dpkg/.*\.specs11'))

# Until we switch to shorthand dh, we need to set this ourselves for
# reproducible builds
export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)

#export DH_VERBOSE=1

###################
# Clean
#

# The default clean target is very heavy for an already clean tree because it
# regenerates all the Makefiles from Makefile.fpc files to be able to call all
# the upstream distclean targets. Therefor the clean target is split into
# multiple components and you can fool the makefiles target when ZERO generated
# Makefiles are found by setting the variable MAY_FOOL_CLEAN to anything but
# the empty string. This is propably a reasonable trade-off under all
# circumstances, but to prevent anything bad from happening during official
# builds, it is not the default.
clean: check-makefiles clean-all-but-makefiles clean-makefiles
	# Make sure the debconf translations are always up-to-date
	debconf-updatepo
	# Make sure the list with timestamps is up-to-date
	[ ! $$(which fp-fix-timestamps) ] || fp-fix-timestamps update
	dh_clean

# See comment above clean target. Fool make-file when approriate
check-makefiles:
ifdef MAY_FOOL_CLEAN
	for fpcfile in `find . -name Makefile.fpc` ; do \
		if [ -f `dirname $$fpcfile`/Makefile ] ; then \
			GOINGTOFOOLCLEAN=false ; \
		fi ; \
	done ; \
	if [ "$$GOINGTOFOOLCLEAN" != false ] ; then \
		echo Beware of empty Makefiles: we are going to fool the makefiles target now ; \
		for fpcfile in `find . -name Makefile.fpc` ; do \
			touch `dirname $$fpcfile`/Makefile ; \
		done ; \
		touch makefiles-stamp ; \
	fi
endif

# In essence, this is the real clean target, except it doesn't remove the
# generated Makefiles. It should do ALL the other cleaning though.
clean-all-but-makefiles: makefiles
	dh_testdir

	# Call upstream clean targets
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc compiler_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc rtl_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc packages_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc ide_distclean
	[ ! -s fpcsrc/Makefile ]  || $(MAKE) -C fpcsrc utils_distclean
	[ ! -s fpcdocs/Makefile ] || $(MAKE) -C fpcdocs clean
	# Just in case they forgot something
	find -regex '.*\.\(a\|or?\|so\.*\|ppu\|compiled\)' -delete
	# Not all empty directories are cleaned up properly by the upstream
	find . -type d -empty -delete

	# Revert hardcoded dates
	sed --in-place "s/EncodeDate([^(^)]*)/Now/" fpcsrc/packages/fpmkunit/src/fpmkunit.pp
	sed --in-place "s/\\\\date\\\{.*\\\}/\\\\date\\\{\`date +'%B %Y'\`\\\}/" fpcdocs/Makefile.fpc

	# Remove build config files; because we use a variable, lets not put it in
	# d/clean
	rm -f $(DEB_BUILD_FPC_OPT)
	rm -f $(DEB_HOST_FPC_OPT)

	# Remove the gnome1, gtk1, fpgtk and imlib packages
	# as they depend on libraries long go removed from Debian.
	rm -rf fpcsrc/packages/gnome1
	rm -rf fpcsrc/packages/gtk1
	rm -rf fpcsrc/packages/imlib
	rm -rf fpcsrc/packages/fpgtk
	# The following packages depend on (at least) fpgtk and were
	# not build in Debian anyways. The makefiles target fails to run
	# if we remove the above, but not these because fpcmake checks
	# for all Makefile.fpc files and notices that the dependency is
	# not fullfilled.
	rm -rf fpcsrc/utils/fpdoc/fpde
	rm -rf fpcsrc/utils/fpmc

	dh_clean


makefiles: makefiles-stamp
makefiles-stamp: $(patsubst %.fpc,%,$(shell find demo fpcdocs fpcsrc -name Makefile.fpc))
	# Make files are now generated.
	touch $@

%Makefile:%Makefile.fpc ${FPCMAKE}

## fpc 3.0.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Abou Al Montacir <abou.almontacir@sfr.fr>,
  Paul Gevers <elbrus@debian.org>,
  Peter Michael Green <plugwash@debian.org>,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Build-Depends:
  binutils,
  debhelper (>= 10~),
@@ -25,40 +25,40 @@
  hevea,
  rdfind,
  symlinks
-Vcs-Git: https://anonscm.debian.org/git/pkg-pascal/fpc.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-pascal/fpc.git
-Homepage: http://www.freepascal.org/
-
-Package: fpc-3.0.2
+Vcs-Git: https://salsa.debian.org/pascal-team/fpc
+Vcs-Browser: https://salsa.debian.org/pascal-team/fpc
+Homepage: https://www.freepascal.org/
+
+Package: fpc-3.0.4
 Architecture: all
 Depends:
- fp-compiler-3.0.2 (>= ${binary:Version}),
- fp-ide-3.0.2 (>= ${binary:Version}),
- fp-units-base-3.0.2 (>= ${binary:Version}),
- fp-units-db-3.0.2 (>= ${binary:Version}),
- fp-units-fcl-3.0.2 (>= ${binary:Version}),
- fp-units-fv-3.0.2 (>= ${binary:Version}),
- fp-units-gfx-3.0.2 (>= ${binary:Version}),
- fp-units-gtk2-3.0.2 (>= ${binary:Version}),
- fp-units-math-3.0.2 (>= ${binary:Version}),
- fp-units-misc-3.0.2 (>= ${binary:Version}),
- fp-units-multimedia-3.0.2 (>= ${binary:Version}),
- fp-units-net-3.0.2 (>= ${binary:Version}),
- fp-units-rtl-3.0.2 (>= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fp-utils-3.0.2
+ fp-compiler-3.0.4 (>= ${binary:Version}),
+ fp-ide-3.0.4 (>= ${binary:Version}),
+ fp-units-base-3.0.4 (>= ${binary:Version}),
+ fp-units-db-3.0.4 (>= ${binary:Version}),
+ fp-units-fcl-3.0.4 (>= ${binary:Version}),
+ fp-units-fv-3.0.4 (>= ${binary:Version}),
+ fp-units-gfx-3.0.4 (>= ${binary:Version}),
+ fp-units-gtk2-3.0.4 (>= ${binary:Version}),
+ fp-units-math-3.0.4 (>= ${binary:Version}),
+ fp-units-misc-3.0.4 (>= ${binary:Version}),
+ fp-units-multimedia-3.0.4 (>= ${binary:Version}),
+ fp-units-net-3.0.4 (>= ${binary:Version}),
+ fp-units-rtl-3.0.4 (>= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ fp-utils-3.0.4
 Suggests:
- fp-docs-3.0.2 (>= ${source:Upstream-Version}),
+ fp-docs-3.0.4 (>= ${source:Upstream-Version}),
  lazarus
 Provides:
  fpc
 Breaks:
- fpc (<= 3.0.2+dfsg-0),
-Replaces:
- fpc (<= 3.0.2+dfsg-0),
-Description: Free Pascal - SDK-3.0.2 suite
+ fpc (<= 3.0.4+dfsg-0),
+Replaces:
+ fpc (<= 3.0.4+dfsg-0),
+Description: Free Pascal - SDK-3.0.4 suite
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
  completely portable RunTime Library (RTL) available on many platforms and
@@ -74,7 +74,7 @@
  architecture. Experienced users may instead prefer to install the particular
  packages they require by hand.
 
-Package: fpc-source-3.0.2
+Package: fpc-source-3.0.4
 Architecture: all
 Multi-Arch: foreign
 Depends:
@@ -99,28 +99,29 @@
  This package contains Free Pascal's own source code. It is meant to be used by
  the Lazarus IDE.
 
-Package: fp-compiler-3.0.2
-Architecture: any
+Package: fp-compiler-3.0.4
+Architecture: any
+Multi-Arch: same
 Depends:
  binutils,
- fp-units-rtl-3.0.2 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fp-utils-3.0.2 (>= ${binary:Version})
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ fp-utils-3.0.4 (>= ${binary:Version})
 Suggests:
- fp-docs-3.0.2 (>= ${source:Upstream-Version}),
+ fp-docs-3.0.4 (>= ${source:Upstream-Version}),
 Provides:
  fp-compiler
 Breaks:
  fp-compiler (<= 2.4.0-3),
  fp-utils-2.4.2 (<= 2.4.2-3),
  fp-utils-2.4.4 (<= 2.4.4-2),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-compiler (<= 2.4.0-3),
  fp-utils-2.4.4 (<= 2.4.4-1),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - compiler
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -135,24 +136,25 @@
  .
  This package contains the command line compiler.
 
-Package: fp-ide-3.0.2
-Architecture: any
-Depends:
- fp-units-rtl-3.0.2 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fp-utils-3.0.2 (>= ${binary:Version})
+Package: fp-ide-3.0.4
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ fp-utils-3.0.4 (>= ${binary:Version})
 Suggests:
- fp-docs-3.0.2 (>= ${source:Upstream-Version})
+ fp-docs-3.0.4 (>= ${source:Upstream-Version})
 Provides:
  fp-ide
 Breaks:
  fp-ide (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-ide (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - IDE
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -168,26 +170,29 @@
  This package contains the Integrated Development Environment (IDE). The IDE
  has an internal compiler.
 
-Package: fp-utils-3.0.2
-Architecture: any
-Depends:
- fpc-source-3.0.2,
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fp-compiler-3.0.2 (= ${binary:Version})
+Package: fp-utils-3.0.4
+Architecture: any
+Multi-Arch: foreign
+Depends:
+ fpc-source-3.0.4,
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ fp-compiler-3.0.4 (= ${binary:Version})
 Provides:
  fp-utils
 Breaks:
+ fp-compiler-3.0.4 (<= 3.0.4+dfsg-11),
  fp-compiler (<= 2.4.0-3),
  fp-units-gfx (<= 2.4.2-2),
  fp-units-gfx-2.4.2 (<= 2.4.2-2),
  fp-utils (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
-Replaces:
+ fpc (<= 3.0.4+dfsg-0),
+Replaces:
+ fp-compiler-3.0.4 (<= 3.0.4+dfsg-11),
  fp-compiler (<= 2.4.0-3),
  fp-utils (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - utilities
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -208,7 +213,7 @@
   * ppumove    place multiple units in a shared library;
   * ptop       beautify source.
 
-Package: fp-docs-3.0.2
+Package: fp-docs-3.0.4
 Section: doc
 Architecture: all
 Multi-Arch: foreign
@@ -219,10 +224,10 @@
  fp-docs
 Breaks:
  fp-docs (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-docs (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - documentation
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -234,22 +239,23 @@
  This package provides documentation for the Free Pascal Compiler in HTML
  format.
 
-Package: fp-units-rtl-3.0.2
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- fp-compiler-3.0.2 (= ${binary:Version})
+Package: fp-units-rtl-3.0.4
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ fp-compiler-3.0.4 (= ${binary:Version})
 Provides:
  fp-units-rtl,
- fpc-abi-3.0.2
+ fpc-abi-3.0.4
 Breaks:
  fp-units-rtl (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-units-rtl (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - runtime libraries
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -260,10 +266,11 @@
  .
  This package contains the RunTime Libraries for the Free Pascal Compiler.
 
-Package: fp-units-base-3.0.2
-Architecture: any
-Depends:
- fp-units-rtl-3.0.2 (= ${binary:Version}),
+Package: fp-units-base-3.0.4
+Architecture: any
+Multi-Arch: same
+Depends:
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -272,12 +279,10 @@
  fp-units-base
 Breaks:
  fp-units-base (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
- fp-units-misc-3.0.0 (<= 3.0.0+dfsg-2),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-units-base (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
- fp-units-misc-3.0.0 (<= 3.0.0+dfsg-2),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - base units
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -290,18 +295,19 @@
  are also required by the Free Component Library): NCurses, X11 (Xlib,
  Xutil), and ZLib.
 
-Package: fp-units-fcl-3.0.2
-Architecture: any
-Depends:
- fp-units-base-3.0.2 (= ${binary:Version}),
- fp-units-rtl-3.0.2 (= ${binary:Version}),
+Package: fp-units-fcl-3.0.4
+Architecture: any
+Multi-Arch: same
+Depends:
+ fp-units-base-3.0.4 (= ${binary:Version}),
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Provides:
  fp-units-fcl
 Breaks:
  fp-units-fcl (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-units-fcl (<= 2.4.0-3)
 Description: Free Pascal - Free Component Library
@@ -314,20 +320,21 @@
  .
  This package contains the Free Component Library for the Free Pascal Compiler.
 
-Package: fp-units-fv-3.0.2
-Architecture: any
-Depends:
- fp-units-rtl-3.0.2 (= ${binary:Version}),
+Package: fp-units-fv-3.0.4
+Architecture: any
+Multi-Arch: same
+Depends:
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Provides:
  fp-units-fv
 Breaks:
  fp-units-fv (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-units-fv (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - Free Vision units
  The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi
  and Turbo Pascal 7.0 dialects, as well as Mac Pascal dialects. It provides a
@@ -339,11 +346,12 @@
  This package contains the Free Vision units for the Free Pascal Compiler
  (which provide a framework for developing text user interfaces).
 
-Package: fp-units-gtk2-3.0.2
-Architecture: any
-Depends:
- fp-units-fcl-3.0.2 (= ${binary:Version}),
- fp-units-rtl-3.0.2 (= ${binary:Version}),
+Package: fp-units-gtk2-3.0.4
+Architecture: any
+Multi-Arch: same
+Depends:
+ fp-units-fcl-3.0.4 (= ${binary:Version}),
+ fp-units-rtl-3.0.4 (= ${binary:Version}),
  libgtk2.0-dev,
  ${misc:Depends},
  ${shlibs:Depends}
@@ -351,9 +359,8 @@
  fp-units-gtk2
 Breaks:
  fp-units-gtk2 (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Replaces:
  fp-units-gtk2 (<= 2.4.0-3),
- fpc (<= 3.0.2+dfsg-0),
+ fpc (<= 3.0.4+dfsg-0),
 Description: Free Pascal - GTK+ 2.x units
- The Free Pascal Compiler is an Object Pascal compiler supporting both Delphi

=== debian/watch ===
version=3
# Original line if repacking is needed...
opts=uversionmangle=s/(RC)/\L$1/;\
s/(\d)((rc|pre|dev|beta|alpha|b|a))/$1~$2/;\
s/\-\d//;\
s/\-src//,\
dversionmangle=s/\+dfsg// \
http://sf.net/freepascal/ fpcbuild-(.*).tar.gz debian debian/orig-tar.sh
